%define name iso-codes
%define version 3.63
%define release %mkrel 1
%define pkgconfigdir %_datadir/pkgconfig

Summary:	Mapping between ISO country codes and full names
Summary(de):	Abbildung zwischen ISO Länderkode und ganzem Namen
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	ftp://pkg-isocodes.alioth.debian.org/pub/pkg-isocodes/iso-codes-%{version}.tar.xz
License:	LGPLv2+
Group:		System/Libraries
URL:		http://pkg-isocodes.alioth.debian.org/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	python
BuildArch:	noarch

%description
This package aims to provide the list of the country and language (and
currency) names in one place, rather than repeated in many programs
throughout PCLinuxOS.

#german
%description -l de
Dieses Paket hat das Ziel eine Liste der Länder- und Sprachen- (und
Währungs-) Namen an einem Platz zu bieten, anstelle diese in vielen
PCLinuxOS-Programmen zu wiederholen.

%files -f iso-codes.lang
%defattr(-,root,root)
%doc README ChangeLog TODO
%_datadir/xml/iso-codes/

#----------------------------------------------------------------------------

%package devel
Group:		Development/Libraries
Summary:	Devel files for %{name}
Summary(de):	Entwicklerdateien für %{name}
Requires:	%{name} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description devel
Devel files for %{name}.

#german
%description devel -l de
Entwicklerpaket zum erstellen von neuen Anwendungen basierend auf %{name}.

%files devel
%defattr(-,root,root)
%pkgconfigdir/iso-codes.pc

%prep
%setup -q

%build
./configure --prefix=%_prefix --libdir=%_libdir
%make

%install
rm -rf $RPM_BUILD_ROOT *.lang
%makeinstall_std pkgconfigdir=%pkgconfigdir

%find_lang iso_639
%find_lang iso_3166
%find_lang iso_3166_2
%find_lang iso_4217
%find_lang iso_639_3
%find_lang iso_15924
%find_lang iso_639_5

cat iso_*.lang > iso-codes.lang

%clean
rm -rf $RPM_BUILD_ROOT

#--------------------------------------------------------------------

%changelog
* Sun Jan 03 2016 bb <bb> 3.63-1pclos2016
- update

* Mon Apr 06 2015 pinoc <vogtpet at gmail.com> 3.57-2pclos2015
- drop BR: python-pyxml

* Wed Nov 04 2014 bb <bb> 3.57-1pclos2014
- update

